package Gtk2::GLExt::Install::Files;

$self = {
          'inc' => '-DXTHREADS -D_REENTRANT -DXUSE_MTSAFE_API -I/usr/include/gtkglext-1.0 -I/usr/lib64/gtkglext-1.0/include -I/usr/X11R6/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/freetype2/freetype2 -I/usr/include/freetype2/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/atk-1.0  ',
          'typemaps' => [
                          'gtkglextperl.typemap'
                        ],
          'deps' => [
                      'Glib',
                      'Gtk2'
                    ],
          'libs' => '-Wl,--export-dynamic -L/usr/X11R6/lib64 -lgtkglext-x11-1.0 -lgdkglext-x11-1.0 -lGLU -lGL -lXmu -lXt -lSM -lICE -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  '
        };


# this is for backwards compatiblity
@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gtk2/GLExt/Install/Files.pm") {
			$CORE = $_ . "/Gtk2/GLExt/Install/";
			last;
		}
	}

1;
